complexType "ReportingRoles"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 5 elements
Defined: | globally in fpml-valuation-5-3.xsd; see XML source
Includes: | definitions of 5 elements
Used: | at 2 locations

Content Model Diagram

XML Representation Summary
<...>
Content: | baseParty?, baseAccount?, activityProvider?, positionProvider?, valuationProvider?
</...>

Content Model Elements (5):

  activityProvider, baseAccount, baseParty (defined in ReportingRoles complexType), | positionProvider, valuationProvider

All Direct / Indirect Based Elements (2):

  reportingRoles (defined in Position complexType), | reportingRoles (defined in PositionWithoutId.model group)

Known Usage Locations

- As direct type of elements (2):

  reportingRoles (defined in Position complexType), | reportingRoles (defined in PositionWithoutId.model group)

Annotation
The roles of the parties in reporting information such as positions.
XML Source (w/o annotations (6); see within schema source)

<xsd:complexType name="ReportingRoles"> <xsd:sequence> <xsd:element minOccurs="0" name="baseParty" type="PartyReference"/> <xsd:element minOccurs="0" name="baseAccount" type="AccountReference"/> <xsd:element minOccurs="0" name="activityProvider" type="PartyReference"/> <xsd:element minOccurs="0" name="positionProvider" type="PartyReference"/> <xsd:element minOccurs="0" name="valuationProvider" type="PartyReference"/> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 5/5)
activityProvider

  Type: | PartyReference, empty content

  A reference to the party responsible for reporting trading activities.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="activityProvider" type="PartyReference"/>

baseAccount

  Type: | AccountReference, empty content

  A reference to the party from whose perspective the position is valued, ie. the owner or holder of the position.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="baseAccount" type="AccountReference"/>

baseParty

  Type: | PartyReference, empty content

  A reference to the party from whose perspective the position is valued, ie. the owner or holder of the position.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="baseParty" type="PartyReference"/>

positionProvider

  Type: | PartyReference, empty content

  A reference to the party responsible for reporting the position itself and its constituents.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="positionProvider" type="PartyReference"/>

valuationProvider

  Type: | PartyReference, empty content

  A reference to the party responsible for calculating and reporting the valuations of the positions.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="valuationProvider" type="PartyReference"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.